\NeedsTeXFormat{LaTeX2e}
 
\ProvidesClass{classReport}

% classe de base
 
%\LoadClass[a4paper,12pt, landscape, twocolumn]{article}
\LoadClass[a5paper,12pt]{article}
 
% extensions
 
\RequirePackage{base}
\RequirePackage{colorscheme}

%\RequirePackage{xcolor,colortbl}

\pagestyle{empty}

\RequirePackage{geometry}
%\geometry{landscape}
\geometry{left=5mm,right=5mm,top=10mm, bottom= 10mm}

% Séparation au milieu
\setlength{\columnsep}{5pt}		% default=10pt
\setlength{\columnseprule}{0pt}		% default=0pt (no line)


% Décorations
\newcommand{\op@classe}{}
\newcommand{\op@titre}{}
\newcommand{\classe}[1]{\renewcommand{\op@classe}{#1}}
\newcommand{\titre}[1]{\renewcommand{\op@titre}{#1}}
\newcommand{\op@soustitre}{\op@classe{} \hfill \@date{}}%

\renewcommand{\maketitle}{%
		\noindent{\huge \color{title}\bfseries Bilan \op@titre}\par
		\noindent{\color{line}\rule{\linewidth}{1ex}}\par
		\noindent{\color{subtitle}\bfseries \op@soustitre}\par
		\vspace{1.5\baselineskip}
}

% Les couleurs de la réussite
% \newcommand{\NoRep}{/}
% \newcommand{\RepZ}{\cellcolor{black!05}}
% \newcommand{\RepU}{\cellcolor{black!30}}
% \newcommand{\RepD}{\cellcolor{black!60}}
% \newcommand{\RepT}{\cellcolor{black}}
\usepackage{tikzsymbols}

%\newcommand{\RepT}{\color{black!10}\Changey[2][black!70]{0.8}\color{text}}
\newcommand{\RepT}{\Smiley[2][black!70]}
\newcommand{\RepD}{\Sey[2][black!40]}
\newcommand{\RepU}{\Neutrey[2][black!10]}
\newcommand{\RepZ}{\Sadey[2]}
\newcommand{\NoRep}{(??)}
